> For the complete documentation index, see [llms.txt](https://degreetpro.gitbook.io/nestgram/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://degreetpro.gitbook.io/nestgram/api-reference/join-requests.md).

# Join requests

## Approve chat join request

You can approve chat join request using **ApproveJoinRequest class-method** or `.approveJoinRequest` **api method**

#### ApproveJoinRequest class-method take arguments:

<table><thead><tr><th width="150" data-type="number">Argument</th><th width="384.3333333333333">Description</th><th></th></tr></thead><tbody><tr><td>1</td><td>User id you want to approve join request for</td><td><strong>Required</strong></td></tr><tr><td>2</td><td>Chat id in which user you want to approve join request for is located</td><td>Optional. Current chat id by default</td></tr></tbody></table>

{% hint style="info" %}
If you want to know what arguments an API method takes, see the IDE hint
{% endhint %}

{% code title="app.controller.ts" %}

```typescript
import { Controller, OnJoinRequest, JoinRequest, IChatJoinRequest, ApproveJoinRequest } from 'nestgram';
import { AppService } from './app.service';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @OnJoinRequest()
  async joinRequest(@JoinRequest() joinRequest: IChatJoinRequest) {
    return new ApproveJoinRequest(joinRequest.from.id);
  }
}
```

{% endcode %}

## Decline chat join request

You can decline chat join request using **DeclineJoinRequest class-method** or `.declineJoinRequest` **api method**

#### DeclineJoinRequest class-method take arguments:

<table><thead><tr><th width="150" data-type="number">Argument</th><th width="384.3333333333333">Description</th><th></th></tr></thead><tbody><tr><td>1</td><td>User id you want to decline join request for</td><td><strong>Required</strong></td></tr><tr><td>2</td><td>Chat id in which user you want to decline join request for is located</td><td>Optional. Current chat id by default</td></tr></tbody></table>

{% hint style="info" %}
If you want to know what arguments an API method takes, see the IDE hint
{% endhint %}

{% code title="app.controller.ts" %}

```typescript
import { Controller, OnJoinRequest, JoinRequest, IChatJoinRequest, DeclineJoinRequest } from 'nestgram';
import { AppService } from './app.service';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @OnJoinRequest()
  async joinRequest(@JoinRequest() joinRequest: IChatJoinRequest) {
    return new DeclineJoinRequest(joinRequest.from.id);
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://degreetpro.gitbook.io/nestgram/api-reference/join-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
